#include "stm32f30x.h"

// User Button is checked as Port A Pin0 input
// LEDs are controlled by Port E Pin8-15 output

int main(void)
{
    RCC ->AHBENR |= 0x20000;   //Enable CLK for Port A
    RCC ->AHBENR |= 0x200000;   //Enable CLK for Port E
    GPIOA -> MODER &= ~3;      //Enable Port A Pin0 as a digital input
    GPIOE -> MODER |= 0x55550000; //Enable Port E Pin8-15 as a digital output
    while(1) {
        if (((GPIOA ->IDR)&1) ==1 ) {  //if user's button pushed
            GPIOE ->ODR |= 0x9900; //Turn GPIOE Pin8,11,12,15 On
            GPIOE ->ODR &= ~0x6600; //Turn GPIOE Pin9,10,13,14 Off
        } else {
            GPIOE ->ODR &= ~0x9900; //Turn GPIOE Pin8,11,12,15 Off
            GPIOE ->ODR |= 0x6600; //Turn GPIOE Pin9,10,13,14 On
        }
    }
}
